curl --location --request GET 'https://api.getmetal.io/v1/indexes/{indexId}' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
{
"data": {
"id": "1",
"createdAt": "2023-07-03T14:25:22.104Z",
"app": "<APP_ID>",
"name": "Danzig's Index",
"model": "clip",
"datasource": "<DATASOURCE_ID>",
"dimensions": 512,
"lastActivityAt": "2023-09-14T13:18:52.547Z",
"lastSearchAt": "2023-09-14T13:18:52.547Z",
"filters": [
{
"field": "name",
"type": "string"
},
{
"field": "age",
"type": "number"
}
],
"counts": {
"docs": 42,
"searches": 666
},
"chunkConfig": {
"size": 999
},
"tableChunkConfig": {
"size": 4000
},
}
}
🔗 Indexes
Get Index
This endpoint gets a single index.
GET
/
v1
/
indexes
/
{indexId}
curl --location --request GET 'https://api.getmetal.io/v1/indexes/{indexId}' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
{
"data": {
"id": "1",
"createdAt": "2023-07-03T14:25:22.104Z",
"app": "<APP_ID>",
"name": "Danzig's Index",
"model": "clip",
"datasource": "<DATASOURCE_ID>",
"dimensions": 512,
"lastActivityAt": "2023-09-14T13:18:52.547Z",
"lastSearchAt": "2023-09-14T13:18:52.547Z",
"filters": [
{
"field": "name",
"type": "string"
},
{
"field": "age",
"type": "number"
}
],
"counts": {
"docs": 42,
"searches": 666
},
"chunkConfig": {
"size": 999
},
"tableChunkConfig": {
"size": 4000
},
}
}
Documentation Index
Fetch the complete documentation index at: https://docs.getmetal.io/llms.txt
Use this file to discover all available pages before exploring further.
Auth Headers
An API key for your org.
A Client ID for your org.
Params
The Index ID
Response
Show properties
Show properties
Id of the index
Id of the app of the index
Name of the index
Model used to generate the embeddings
The datasource id, if one is connected.
Dimensions of the embeddings
curl --location --request GET 'https://api.getmetal.io/v1/indexes/{indexId}' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
{
"data": {
"id": "1",
"createdAt": "2023-07-03T14:25:22.104Z",
"app": "<APP_ID>",
"name": "Danzig's Index",
"model": "clip",
"datasource": "<DATASOURCE_ID>",
"dimensions": 512,
"lastActivityAt": "2023-09-14T13:18:52.547Z",
"lastSearchAt": "2023-09-14T13:18:52.547Z",
"filters": [
{
"field": "name",
"type": "string"
},
{
"field": "age",
"type": "number"
}
],
"counts": {
"docs": 42,
"searches": 666
},
"chunkConfig": {
"size": 999
},
"tableChunkConfig": {
"size": 4000
},
}
}
⌘I